
#ifdef WIN32
	#include <windows.h>
	#pragma comment(lib, "Irrlicht.lib")
#endif

#include <irrlicht.h>


using namespace irr;
using namespace core;
using namespace video;
using namespace scene;
using namespace gui;

#ifdef WIN32
	int WINAPI WinMain(HINSTANCE hInst, HINSTANCE hPrevInst, LPSTR strCmdLine, int nShowCmd)
#else
	int main()
#endif
{
	IrrlichtDevice *device  = createDevice(EDT_OPENGL,dimension2d<s32>(320,240),16,false,false,0);
	IVideoDriver *driver    = device->getVideoDriver();
	ISceneManager* smgr     = device->getSceneManager();

	device->setWindowCaption(L"Irrlicht");//EChE^Cgݒ

	//Jݒ
	ICameraSceneNode *camera;
	camera = smgr->addCameraSceneNode(0,vector3df(5,5,-5),vector3df(0,0,0));
	//seݒ
	matrix4 matrix;
	matrix.buildProjectionMatrixOrthoLH(8,6,-5,100); //w,h,near,far
	camera->setProjectionMatrix(matrix);

	//̃m[h쐬1(ʏ)
	ISceneNode* node = 0;
	node = smgr->addCubeSceneNode(2.0f);
	node->setPosition(vector3df(-2,0,0));
	node->setMaterialTexture(0, driver->getTexture("wall.bmp"));
	node->setMaterialFlag(EMF_LIGHTING, false);

	//̃m[h쐬2()
	node = smgr->addCubeSceneNode(2.0f);
	node->setPosition(vector3df(2,0,0));
	node->setMaterialTexture(0, driver->getTexture("wall.bmp"));
	node->setMaterialFlag(EMF_LIGHTING, false);
	node->setMaterialFlag(EMF_ZBUFFER, false);				//Zobt@r:off
	node->setMaterialFlag(EMF_BACK_FACE_CULLING, false);
	node->setMaterialType(EMT_TRANSPARENT_ADD_COLOR);

	while(device->run())
	{
		driver->beginScene(true,true,0xFF6060FF);

		//V[̕`
		smgr->drawAll();

		driver->endScene();
	}

	driver->drop();

	return 0;
}
